Reference Data
List Networks
List all supported blockchain networks
GET
/
networks
List Networks
curl --request GET \
--url https://api.example.com/networksimport requests
url = "https://api.example.com/networks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List Networks
Returns all blockchain networks supported by Legend.Request
GET /networks
Examples
curl https://prime-api.legend.xyz/networks \
-H "Authorization: Bearer $LEGEND_QUERY_KEY"
const { networks } = await client.networks();
result = await client.networks()
networks = result["networks"]
let networks = client.networks().await?;
Response
{
"networks": [
{ "name": "mainnet", "chain_id": 1, "display_name": "Ethereum" },
{ "name": "base", "chain_id": 8453, "display_name": "Base" },
{ "name": "arbitrum", "chain_id": 42161, "display_name": "Arbitrum" },
{ "name": "optimism", "chain_id": 10, "display_name": "Optimism" },
{ "name": "polygon", "chain_id": 137, "display_name": "Polygon" }
]
}
Response fields
| Field | Type | Description |
|---|---|---|
networks | array | List of network objects |
networks[].name | string | Network identifier (use this in API requests) |
networks[].chain_id | integer | EVM chain ID |
networks[].display_name | string | Human-readable network name |
⌘I
List Networks
